%define module	speedtest-cli

Name:		python-%{module}
Version:	2.1.3
Release:	%mkrel 1
Summary:	Small command-line program to view Network Connexion speed
License:	Apache License
Group:		Development/Python
URL:		https://github.com/sivel/speedtest-cli
Source0:	https://github.com/sivel/%{module}/archive/v%{version}/%{module}-%{version}.tar.gz
Patch0:		speedtest-cli-1.0.0-mga-install-manpage.patch
BuildArch:	noarch

%description
Command line interface for testing internet bandwidth using speedtest.net.

#---------------------------------------------------------------------------

%package -n	python2-%{module}
Summary:	Small command-line program to view Network Connexion speed
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)

Requires:	python2-pkg-resources
Obsoletes:	python-speedtest-cli < 1.0.6-3
Provides:	python-speedtest-cli = %{version}-%{release}

%description -n	python2-%{module}
Command line interface for testing internet bandwidth using speedtest.net.
This is the Python 2 build of %{module}.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Small command-line program to view Network Connexion speed
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)

Requires:	python3-pkg-resources

%description -n	python3-%{module}
Command line interface for testing internet bandwidth using speedtest.net.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
%py2_install
mv %{buildroot}%{_bindir}/speedtest %{buildroot}%{_bindir}/python2-speedtest
mv %{buildroot}%{_bindir}/speedtest-cli %{buildroot}%{_bindir}/python2-speedtest-cli

pushd %{py3dir}
%py3_install
popd

%files -n python2-%{module}
%doc CONTRIBUTING.md README.rst
%license LICENSE
%{_bindir}/python2-speedtest*
%dir %{python2_sitelib}/*
%{python2_sitelib}/*/*
%{python2_sitelib}/speedtest.py*
%{_mandir}/man1/%{module}.1*

%files -n python3-%{module}
%doc CONTRIBUTING.md README.rst
%license LICENSE
%{_bindir}/speedtest*
%dir %{python3_sitelib}/*
%{python3_sitelib}/*/*
%{python3_sitelib}/speedtest.py*
%{_mandir}/man1/%{module}.1*


%changelog
* Fri Apr 16 2021 daviddavid <daviddavid> 2.1.3-1.mga7
+ Revision: 1715935
- new version: 2.1.3 (fixes mga#28784)

* Thu Mar 14 2019 daviddavid <daviddavid> 2.1.1-1.mga7
+ Revision: 1376903
- new version: 2.1.1

* Thu Mar 14 2019 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1376085
- new version: 2.1.0

* Thu Jan 10 2019 shlomif <shlomif> 2.0.2-3.mga7
+ Revision: 1354405
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.0.2-2.mga7
+ Revision: 1290155
- Mageia 7 Mass Rebuild

* Sun May 27 2018 daviddavid <daviddavid> 2.0.2-1.mga7
+ Revision: 1232362
- new version: 2.0.2

* Thu May 24 2018 daviddavid <daviddavid> 2.0.1-1.mga7
+ Revision: 1232043
- new version: 2.0.1

* Sun Feb 11 2018 daviddavid <daviddavid> 2.0.0-1.mga7
+ Revision: 1200355
- new version: 2.0.0

* Mon Oct 23 2017 daviddavid <daviddavid> 1.0.7-1.mga7
+ Revision: 1173169
- new version: 1.0.7
- rename python-speedtest-cli to python2-speedtest-cli

* Sat Aug 05 2017 pterjan <pterjan> 1.0.6-2.mga7
+ Revision: 1135648
- Rebuild for python 3.6

* Sat Jun 03 2017 akien <akien> 1.0.6-1.mga6
+ Revision: 1106012
- Version 1.0.6

* Wed Apr 26 2017 akien <akien> 1.0.5-1.mga6
+ Revision: 1097573
- Version 1.0.5

* Fri Feb 17 2017 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 1086618
- new version: 1.0.2
- make python3 the default

* Fri Dec 23 2016 daviddavid <daviddavid> 1.0.1-1.mga6
+ Revision: 1076662
- new version: 1.0.1

* Fri Nov 25 2016 daviddavid <daviddavid> 1.0.0-1.mga6
+ Revision: 1070125
- new version: 1.0.0
- rename and rediff mga-install-manpage patch

* Fri Feb 19 2016 umeabot <umeabot> 0.3.4-3.mga6
+ Revision: 970483
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 0.3.4-2.mga6
+ Revision: 886873
- rebuild for python 3.5

* Tue Sep 22 2015 daviddavid <daviddavid> 0.3.4-1.mga6
+ Revision: 882180
- new version: 0.3.4
- use new python macros
- Patch0: install manpage with setup.py
- introduce license macro

* Sun Aug 02 2015 solbu <solbu> 0.3.2-2.mga6
+ Revision: 860808
- Add the manpage

* Wed Mar 04 2015 daviddavid <daviddavid> 0.3.2-1.mga5
+ Revision: 817632
- new version: 0.3.2 (fix previous upstream snapshot release)

* Sat Feb 21 2015 akien <akien> 0.3.1-5.20140902.1.mga5
+ Revision: 816291
- Snapshot from the upstream devel branch (only a couple of bugfix commits over 0.3.1)

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-4.mga5
+ Revision: 743382
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-3.mga5
+ Revision: 729792
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-2.mga5
+ Revision: 688345
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 daviddavid <daviddavid> 0.3.1-1.mga5
+ Revision: 662475
- new version: 0.3.1

* Wed Jul 09 2014 daviddavid <daviddavid> 0.3.0-1.mga5
+ Revision: 650929
- new version: 0.3.0

* Sat May 31 2014 pterjan <pterjan> 0.2.7-2.mga5
+ Revision: 629024
- Rebuild for new Python

* Thu Apr 24 2014 daviddavid <daviddavid> 0.2.7-1.mga5
+ Revision: 617684
- add upstream github link for Source0
- new version: 0.2.7

* Sun Apr 13 2014 daviddavid <daviddavid> 0.2.5-4.mga5
+ Revision: 613786
- fix speedtest-cli pydir that must be in rpm

* Mon Feb 24 2014 david-david <david-david> 0.2.5-3.mga5
+ Revision: 596634
- fix group

* Wed Feb 19 2014 david-david <david-david> 0.2.5-2.mga5
+ Revision: 594890
- fix missing Requires python-pkg-resources on both packages

* Wed Feb 19 2014 akien <akien> 0.2.5-1.mga5
+ Revision: 594557
- Rename spec file according to the new package name
- Rename package according to Mageia's python policy
+ david-david <david-david>
- add a Python 3 package
- imported package speedtest-cli

